Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Class X9Curve

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x9.X9Curve

All Implemented Interfaces:
  DEREncodable, X9ObjectIdentifiers

public class X9Curve
extends ASN1Encodable
implements X9ObjectIdentifiers

ASN.1 def for Elliptic-Curve Curve structure. See X9.62, for further details.

Fields inherited from interface org.bouncycastle.asn1.x9.X9ObjectIdentifiers
`ansi_X9_62, c2onb191v4, c2onb191v5, c2onb239v4, c2onb239v5, c2pnb163v1, c2pnb163v2, c2pnb163v3, c2pnb176w1, c2pnb208w1, c2pnb272w1, c2pnb368w1, c2png304v1, c2tnb191v1, c2tnb191v2, c2tnb191v3, c2tnb239v1, c2tnb239v2, c2tnb239v3, c2tnb359v1, c2tnb431r1, characteristic_two_field, cTwoCurve, dhpublicnumber, ecdsa_with_SHA1, ellipticCurve, gnBasis, id_dsa, id_dsa_with_sha1, id_ecPublicKey, id_ecSigType, id_fieldType, id_publicKeyType, ppBasis, prime_field, prime192v1, prime192v2, prime192v3, prime239v1, prime239v2, prime239v3, prime256v1, primeCurve, tpBasis`

Constructor Summary
`X9Curve(ECCurve curve)`
`X9Curve(ECCurve curve, byte[] seed)`
`X9Curve(X9FieldID fieldID, ASN1Sequence seq)`

Method Summary
`ECCurve` | `getCurve()`
`byte[]` | `getSeed()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X9Curve

    public X9Curve(ECCurve curve)

### X9Curve

    public X9Curve(ECCurve curve,
                   byte[] seed)

### X9Curve

    public X9Curve(X9FieldID fieldID,
                   ASN1Sequence seq)

Method Detail

### getCurve

    public ECCurve getCurve()

### getSeed

    public byte[] getSeed()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        Curve ::= SEQUENCE {
            a               FieldElement,
            b               FieldElement,
            seed            BIT STRING      OPTIONAL
        }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD